diff --git a/src/common/gui/CEffectSettings.cpp b/src/common/gui/CEffectSettings.cpp
index 789460e92..2fa1c2cc0 100644
--- a/src/common/gui/CEffectSettings.cpp
+++ b/src/common/gui/CEffectSettings.cpp
@@ -142,11 +142,12 @@ CMouseEventResult CEffectSettings::onMouseMoved(CPoint& where, const CButtonStat
          isInside = true;
       }
    }
+   /*
    if( isInside )
       getFrame()->setCursor( VSTGUI::kCursorHand );
    else
       getFrame()->setCursor( VSTGUI::kCursorDefault );
-
+   */
    
    return kMouseEventHandled;
 }
diff --git a/src/common/gui/CLFOGui.cpp b/src/common/gui/CLFOGui.cpp
index f2adf6e09..9707214f6 100644
--- a/src/common/gui/CLFOGui.cpp
+++ b/src/common/gui/CLFOGui.cpp
@@ -1119,7 +1119,7 @@ CMouseEventResult CLFOGui::onMouseMoved(CPoint& where, const CButtonState& butto
 {
    if (rect_shapes.pointInside(where))
    {
-      getFrame()->setCursor( VSTGUI::kCursorHand );
+      // getFrame()->setCursor( VSTGUI::kCursorHand );
    }
    else if (ss && lfodata->shape.val.i == ls_stepseq && (
                rect_steps.pointInside(where) ||
@@ -1130,11 +1130,11 @@ CMouseEventResult CLFOGui::onMouseMoved(CPoint& where, const CButtonState& butto
                rect_le.pointInside(where)
                ))
    {
-      getFrame()->setCursor( VSTGUI::kCursorHand );
+      // getFrame()->setCursor( VSTGUI::kCursorHand );
    }
    else
    {
-      getFrame()->setCursor( VSTGUI::kCursorDefault );
+      // getFrame()->setCursor( VSTGUI::kCursorDefault );
    }
    if (controlstate == cs_shape)
    {
diff --git a/src/common/gui/CModulationSourceButton.h b/src/common/gui/CModulationSourceButton.h
index 24baaf694..7446fbf73 100644
--- a/src/common/gui/CModulationSourceButton.h
+++ b/src/common/gui/CModulationSourceButton.h
@@ -71,12 +71,12 @@ class CModulationSourceButton : public CCursorHidingControl
    virtual VSTGUI::CMouseEventResult onMouseDown(VSTGUI::CPoint& where, const VSTGUI::CButtonState& buttons) override;
 
    virtual VSTGUI::CMouseEventResult onMouseUp(VSTGUI::CPoint& where, const VSTGUI::CButtonState& buttons) override;
-      virtual VSTGUI::CMouseEventResult onMouseEntered (VSTGUI::CPoint& where, const VSTGUI::CButtonState& buttons) override {
-      getFrame()->setCursor( VSTGUI::kCursorHand );
+   virtual VSTGUI::CMouseEventResult onMouseEntered (VSTGUI::CPoint& where, const VSTGUI::CButtonState& buttons) override {
+      // getFrame()->setCursor( VSTGUI::kCursorHand );
       return VSTGUI::kMouseEventHandled;
    }
    virtual VSTGUI::CMouseEventResult onMouseExited (VSTGUI::CPoint& where, const VSTGUI::CButtonState& buttons) override {
-      getFrame()->setCursor( VSTGUI::kCursorDefault );
+      // getFrame()->setCursor( VSTGUI::kCursorDefault );
       return VSTGUI::kMouseEventHandled;
    }
 
diff --git a/src/common/gui/CNumberField.h b/src/common/gui/CNumberField.h
index 0efe28b41..7a4911e12 100644
--- a/src/common/gui/CNumberField.h
+++ b/src/common/gui/CNumberField.h
@@ -228,11 +228,11 @@ class CNumberField : public VSTGUI::CControl, public Surge::UI::SkinConsumingCom
    virtual VSTGUI::CMouseEventResult onMouseMoved(VSTGUI::CPoint& where, const VSTGUI::CButtonState& buttons) override;
 
    virtual VSTGUI::CMouseEventResult onMouseEntered (VSTGUI::CPoint& where, const VSTGUI::CButtonState& buttons) override {
-      getFrame()->setCursor( VSTGUI::kCursorHand );
+      // getFrame()->setCursor( VSTGUI::kCursorHand );
       return VSTGUI::kMouseEventHandled;
    }
    virtual VSTGUI::CMouseEventResult onMouseExited (VSTGUI::CPoint& where, const VSTGUI::CButtonState& buttons) override {
-      getFrame()->setCursor( VSTGUI::kCursorDefault );
+      // getFrame()->setCursor( VSTGUI::kCursorDefault );
       return VSTGUI::kMouseEventHandled;
    }
    
diff --git a/src/common/gui/COscillatorDisplay.cpp b/src/common/gui/COscillatorDisplay.cpp
index 356c9c2a5..3cdf9f534 100644
--- a/src/common/gui/COscillatorDisplay.cpp
+++ b/src/common/gui/COscillatorDisplay.cpp
@@ -910,16 +910,16 @@ CMouseEventResult COscillatorDisplay::onMouseMoved(CPoint& where, const CButtonS
    {
       if (rprev.pointInside(where) || rnext.pointInside(where) || rmenu.pointInside(where) )
       {
-         getFrame()->setCursor( VSTGUI::kCursorHand );
+         // getFrame()->setCursor( VSTGUI::kCursorHand );
       }
       else
       {
-         getFrame()->setCursor( VSTGUI::kCursorDefault );
+         // getFrame()->setCursor( VSTGUI::kCursorDefault );
       }
    }
    else
    {
-      getFrame()->setCursor( VSTGUI::kCursorDefault );
+      // getFrame()->setCursor( VSTGUI::kCursorDefault );
    }
 
    if (controlstate)
diff --git a/src/common/gui/CSnapshotMenu.h b/src/common/gui/CSnapshotMenu.h
index f9925e9f3..24c248a86 100644
--- a/src/common/gui/CSnapshotMenu.h
+++ b/src/common/gui/CSnapshotMenu.h
@@ -23,11 +23,11 @@ class CSnapshotMenu : public VSTGUI::COptionMenu, public Surge::UI::SkinConsumin
    virtual bool canSave();
 
    virtual VSTGUI::CMouseEventResult onMouseEntered (VSTGUI::CPoint& where, const VSTGUI::CButtonState& buttons) override {
-      getFrame()->setCursor( VSTGUI::kCursorHand );
+      // getFrame()->setCursor( VSTGUI::kCursorHand );
       return VSTGUI::kMouseEventHandled;
    }
    virtual VSTGUI::CMouseEventResult onMouseExited (VSTGUI::CPoint& where, const VSTGUI::CButtonState& buttons) override {
-      getFrame()->setCursor( VSTGUI::kCursorDefault );
+      // getFrame()->setCursor( VSTGUI::kCursorDefault );
       return VSTGUI::kMouseEventHandled;
    }
 
diff --git a/src/common/gui/CStatusPanel.cpp b/src/common/gui/CStatusPanel.cpp
index ce2ef7a55..9017f0c4f 100644
--- a/src/common/gui/CStatusPanel.cpp
+++ b/src/common/gui/CStatusPanel.cpp
@@ -134,10 +134,14 @@ VSTGUI::CMouseEventResult CStatusPanel::onMouseDown(VSTGUI::CPoint& where, const
 }
 
 VSTGUI::CMouseEventResult CStatusPanel::onMouseMoved(VSTGUI::CPoint& where, const VSTGUI::CButtonState& button) {
+   /*
+   ** Restore once I have a hover strategy for this widget
+
    if ( mpeBox.pointInside(where) || tuningBox.pointInside(where) || zoomBox.pointInside(where) )
-      getFrame()->setCursor( VSTGUI::kCursorHand );
+     getFrame()->setCursor( VSTGUI::kCursorHand );
    else
-      getFrame()->setCursor( VSTGUI::kCursorDefault );
+     getFrame()->setCursor( VSTGUI::kCursorDefault );
+   */
    
    return kMouseEventHandled;
 }
diff --git a/src/common/gui/CSurgeSlider.cpp b/src/common/gui/CSurgeSlider.cpp
index 9a69aa85f..798e9eeb3 100644
--- a/src/common/gui/CSurgeSlider.cpp
+++ b/src/common/gui/CSurgeSlider.cpp
@@ -565,7 +565,7 @@ CMouseEventResult CSurgeSlider::onMouseDown(CPoint& where, const CButtonState& b
    {
       beginEdit();
       controlstate = cs_drag;
-      getFrame()->setCursor( VSTGUI::kCursorHand );
+      // getFrame()->setCursor( VSTGUI::kCursorHand );
       statezoom = 1.f;
 
       edit_value = modmode ? &modval : &value;
@@ -601,7 +601,7 @@ CMouseEventResult CSurgeSlider::onMouseUp(CPoint& where, const CButtonState& but
 #endif
       endEdit();
       controlstate = cs_none;
-      getFrame()->setCursor( VSTGUI::kCursorDefault );
+      // getFrame()->setCursor( VSTGUI::kCursorDefault );
       
       edit_value = nullptr;
 
@@ -692,11 +692,13 @@ void CSurgeSlider::onMouseMoveDelta(CPoint& where,
       {
          handle_rect.offset(1, dispv);
       }
-      
+
+      /*
       if( handle_rect.pointInside(where) )
          getFrame()->setCursor( VSTGUI::kCursorHand );
       else
          getFrame()->setCursor( VSTGUI::kCursorDefault );
+      */
    }
    
    if ((controlstate == cs_drag) && (buttons & kLButton))
